import Vue from 'vue';
import VueRouter from 'vue-router';
// 公共
import common from './module/common';
Vue.use(VueRouter);
const routes = [
  {
    path: '/',
    redirect: '/home',
  },
  {
    path: '/home',
    meta: { title: '智能客服', is_filter: true },
    component: () => import('@/views/HomePage.vue'),
  },
  ...common,
];
const router = new VueRouter({ mode: 'history', base: process.env.VUE_APP_ROUTER, routes });
export default router;
