import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
// 客服
import customer from '@common/src/store/users/customer';
// 题库
import question from '@common/src/store/question';
// 历史记录
import history from '@common/src/store/history';
// 聊天记录
import chatRecord from '@common/src/store/chatRecord';
// 转人工申请
import transferApply from '@common/src/store/transferApply';
// 用户
import user from '@common/src/store/users/user';
// 留言
import message from '@common/src/store/message';
// 平台标识
import sign from '@common/src/store/sign';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  getters: {},
  mutations: { ...umutations },
  actions: {},
  modules: {
    customer,
    sign,
    question,
    history,
    chatRecord,
    transferApply,
    message,
    user,
  },
});
